[typo] trying to upgrade

Warner Onstine warnero at gmail.com
Sun Apr 22 11:14:40 EDT 2007


Hey all, I'm trying to upgrade my blog to 4.1, but I'm running into
some errors. Here's the current one:

Making scripts executable
 Checking database
 Creating initial database
/usr/lib/ruby/gems/1.8/gems/activerecord-1.15.0/lib/active_record/connection_adapters/abstract_adapter.rb:128:in
`log': Mysql::Error: You have an error in your SQL syntax; check the
manual that corresponds to your MySQL server version for the right
syntax to use near '"article_id" integer DEFAULT NULL,
(ActiveRecord::StatementInvalid)
  "tag_id" integer DEFAULT NULL
)' at line 2: CREATE TABLE articles_tags (
  "article_id" integer DEFAULT NULL,
  "tag_id" integer DEFAULT NULL
)       from /usr/lib/ruby/gems/1.8/gems/activerecord-1.15.0/lib/active_record/connection_adapters/mysql_adapter.rb:243:in
`execute'
        from /usr/lib/ruby/gems/1.8/gems/rails-app-installer-0.2.0/lib/rails-installer/databases.rb:125:in
`create'
        from /usr/lib/ruby/gems/1.8/gems/rails-app-installer-0.2.0/lib/rails-installer/databases.rb:124:in
`create'
        from /usr/lib/ruby/gems/1.8/gems/rails-app-installer-0.2.0/lib/rails-installer.rb:479:in
`create_initial_database'
        from /usr/lib/ruby/gems/1.8/gems/rails-app-installer-0.2.0/lib/rails-installer.rb:689:in
`in_directory'
        from /usr/lib/ruby/gems/1.8/gems/rails-app-installer-0.2.0/lib/rails-installer.rb:478:in
`create_initial_database'
        from /usr/lib/ruby/gems/1.8/gems/rails-app-installer-0.2.0/lib/rails-installer.rb:213:in
`install_sequence'
        from /usr/lib/ruby/gems/1.8/gems/rails-app-installer-0.2.0/lib/rails-installer.rb:192:in
`install'
        from /usr/lib/ruby/gems/1.8/gems/rails-app-installer-0.2.0/lib/rails-installer/commands.rb:95:in
`command'
        from /usr/lib/ruby/gems/1.8/gems/rails-app-installer-0.2.0/lib/rails-installer.rb:646:in
`execute_command'
        from /usr/lib/ruby/gems/1.8/gems/typo-4.1/bin/typo:38
        from /usr/lib/ruby/gems/1.8/gems/activesupport-1.4.0/lib/active_support/dependencies.rb:489:in
`load'
        from /usr/lib/ruby/gems/1.8/gems/activesupport-1.4.0/lib/active_support/dependencies.rb:343:in
`new_constants_in'
        from /usr/lib/ruby/gems/1.8/gems/activesupport-1.4.0/lib/active_support/dependencies.rb:489:in
`load'
        from /usr/bin/typo:18

Thanks in advance, I really don't know where I should start on this
one. Just before this it was complaining about not finding a typo_dev
database, so I went ahead and created it, the typo_test one and then
added the existing user to those two and ran it again, getting this
error.

-warner

-- 
Warner Onstine - Programmer/Author
New book! Tapestry 101 available at http://sourcebeat.com/books/
tapestrylive.html
warner at warneronstine.com
http://warneronstine.com/blog


More information about the Typo-list mailing list